Subject: Re: bug#14022: libtool-gug

From: Andreas Otto <[email-masked]>
Date: Fri, 22 Mar 2013 13:56:54 +0100

Am 22.03.2013 11:52, schrieb Peter Rosin:
> On 2013-03-22 10:04, Andreas Otto wrote:
>> Am 22.03.2013 09:34, schrieb Peter Rosin:
>>> Your error is that you have specified --build incorrectly.
>>> You are building on Cygwin with a Cygwin-hosted compiler,
>>> which means that --build should be something-cygwin (but
>>> you should leave configure to autodetect the specifics).
>>> What you want to do is to specify --host=x86_64-w64-mingw32
>>> since you are building for a MinGW host.
>>>
>>> Cheers, and hope that helps,
>>> Peter
>>>
>> Stopp, you are right and not right at the same time.
>>
>> I using cygwin to build a windows native library -> this mean WITHOUT any cygwin specific libraray
>> => so, I'm using cygwin in cross-compiling mode ;-)
> I don't see where I'm not right. I said that you are using
> a Cygwin-hosted compiler, which is what I think you are
> objecting against. But you are. I could have been clearer
> and said Cygwin-hosted cross-compiler targeting MinGW or
> something such, but your compiler is in fact Cygwin-hosted,
> no error there AFAICT (i.e. the compiler itself is linked
> against Cygwin libs).
ok
> Side note, I guess you can drop your CC and CXX exports,
> configure will find automatically them with your --host
> argument.
this is something i missing .. because I always using "ccache" to 
speedup compiling
and i don't find any usfull way to add a compiling tool prefix without 
using the CC or CXX
variablee.g. -> CC='ccache x86_64-w64-....'
>
>> NOW i found the error (with the help of you)
>>
>> I used "--build=x86_64-w64-mingw32" but I need "--host=x86_64-w64-mingw32" to enable
>> cross-compiling
>>
>> to make this error not happen again, I add an error-ckeck to my "configure.ac" script
>>
>> ....
>> if test "$build_os" = "mingw32"; then
>>    AC_MSG_ERROR([as '--build=...' only cygwin is supported
>>    -> keep it unchanged if you are working in a cygwin toolchan
>> to enable cross-compiling mode you have to specify
>>    -> --host=x86_64-w64-mingw32])
>> elif test "$build_os" = "cygwin"; then
>> ...
> That will kill building the project on MSYS. I guess it's
> your project, but it seems a bit hostile to me...
from my point of view MSYS is an untested environment.
>> Thanks for your help.
> You're welcome!
> Cheers,
> Peter